//
//  LedusHalleViewController.m
//  LedusHalle
//
//  Created by Guntis Treulands on 1/10/12.
//  Copyright 2012 __MyCompanyName__. All rights reserved.
//

#import "LedusHalleViewController.h"

@implementation LedusHalleViewController



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad 
{
    [super viewDidLoad];
    
    sectionCount = -1;
    
    headerWeekDaysDateArray_ = [[NSMutableArray alloc] init];
    
    headerWeekDaysArray_ = [[NSMutableArray alloc] init];
    
    weekdayNameArray_ = [[NSMutableArray alloc] init];
	
    dayArray_ = [[NSMutableArray alloc] init];
	
    monthArray_ = [[NSMutableArray alloc] init];

	timeArray_ = [[NSMutableArray alloc] init];
    
    headerTitleArray_ = [[NSMutableArray alloc] init];
    
    [monthArray_ addObject:@"Janvārī"];
    
	[monthArray_ addObject:@"Februārī"];
    
	[monthArray_ addObject:@"Martā"];
    
	[monthArray_ addObject:@"Aprīlī"];
    
	[monthArray_ addObject:@"Maijā"];
    
	[monthArray_ addObject:@"Jūnijā"];
    
	[monthArray_ addObject:@"Jūlijā"];
    
	[monthArray_ addObject:@"Augustā"];
    
	[monthArray_ addObject:@"Septembrī"];
    
	[monthArray_ addObject:@"Oktobrī"];
    
	[monthArray_ addObject:@"Novembrī"];
    
	[monthArray_ addObject:@"Decembrī"];

	[self initTableView];
    
    sectionCount = -1;
    
    UIView * tableHeaderView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 15)];
    
    tableHeaderView.backgroundColor = [UIColor clearColor];
    
    [tableView_ setTableHeaderView:tableHeaderView];
    
    UILabel * titleLabel = [[UILabel alloc] initWithFrame:CGRectMake(0,15,320,20)];
    
    titleLabel.backgroundColor = [UIColor clearColor];
    
    [titleLabel setFont:[UIFont systemFontOfSize:20]];
    
    [titleLabel setTextAlignment:UITextAlignmentCenter];
    
    titleLabel.numberOfLines = 0;
    
    [tableHeaderView addSubview:titleLabel];
    
    titleLabel.text = @"Publiskie slidotavas laiki";

}


- (void)initTableView
{   
	tableView_ = [[UITableView alloc] initWithFrame:CGRectMake(0,-10,self.view.bounds.size.width,self.view.bounds.size.height+10) style:UITableViewStyleGrouped];
    
    [self.view addSubview:tableView_];
    
    tableView_.delegate = self;
    
    tableView_.dataSource = self;

}




#pragma mark -
#pragma mark TableView

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView 
{    
	return sectionCount+1;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section 
{    
	NSInteger mRowCount = 0;
    
	for(int i = 0; i< [timeArray_ count]; i++)
    {
    	NSLog(@"original section : %i   section :  %i    and other : %i",[[timeArray_ objectAtIndex:i] intValue],  section, [[NSNumber numberWithUnsignedChar:[[timeArray_ objectAtIndex:i] characterAtIndex:1]] intValue]);
        
    	if([[[timeArray_ objectAtIndex:i] substringToIndex:2] isEqualToString:@"00"])
        {
        		
        	if([[timeArray_ objectAtIndex:i] intValue] == section)
            {
            	for(int j = i+1; j < [timeArray_ count]; j++)
                {
                	if(![[[timeArray_ objectAtIndex:j] substringToIndex:2] isEqualToString:@"00"])
                    {
                    	mRowCount++;
                    }
                    else
                    {
                    	break;
                    }
                }

            }
        }
    }
    
    return mRowCount;        
}


- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{   
	UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"cellIdentifier"];
        
    if (cell == nil)
    {
        cell = [[[UITableViewCell alloc] initWithFrame:CGRectZero reuseIdentifier:@"cellIdentifier"] autorelease];
        
        [self configureCell:cell atIndexPath:indexPath];                                
    }
    
    [self updateCell:cell atIndexPath:indexPath];     
    
    cell.selectionStyle = UITableViewCellSelectionStyleBlue;

    
    return cell;
}


- (void)configureCell:(UITableViewCell *)cell atIndexPath:(NSIndexPath *)indexPath 
{   
    ///title label
    UILabel *mCellTitleLabel = [[UILabel alloc] initWithFrame:CGRectZero];
    
    [mCellTitleLabel setFont:[UIFont fontWithName:@"Proxima Nova Condensed" size:14]];
    
    [mCellTitleLabel setBackgroundColor:[UIColor clearColor]];
    
    [mCellTitleLabel setTextColor:[UIColor blackColor]];
    
    [mCellTitleLabel setTag:1];
    
    [[cell contentView] addSubview:mCellTitleLabel];
    
    [mCellTitleLabel release];
}               


- (void)updateCell:(UITableViewCell *)cell atIndexPath:(NSIndexPath *)indexPath 
{
    ///cell title
    UILabel *mCellTitleLabel = (UILabel *)[cell viewWithTag:1];
   
    for(int i = 0; i< [timeArray_ count]; i++)
    {
    	if([[[timeArray_ objectAtIndex:i] substringToIndex:2] isEqualToString:@"00"])
        {
        	if([[timeArray_ objectAtIndex:i] intValue] == [indexPath section])
            {
            	mCellTitleLabel.text = [timeArray_ objectAtIndex:i+1+[indexPath row]];
                
                break;
            }
        }
    }
    
    mCellTitleLabel.frame = CGRectMake(10, 5, 300, 20);
    
        
    mCellTitleLabel = nil;
}


- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath;
{
    return 30;
}


- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    [tableView deselectRowAtIndexPath:[tableView indexPathForSelectedRow] animated:YES];
}


- (CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section 
{
	if(section == 0)
    {
    	return 20;
    }
    else
    {
		if([[headerWeekDaysArray_ objectAtIndex:section-1] intValue] 
        	!= [[headerWeekDaysArray_ objectAtIndex:section] intValue])
        {
        	return 40;
        }
        else
        {
        	return 20;
        }
    }
    
}


- (CGFloat)tableView:(UITableView *)tableView heightForFooterInSection:(NSInteger)section 
{
	if(section != 0)
    {
		if([[headerWeekDaysArray_ objectAtIndex:section-1] intValue] != [[headerWeekDaysArray_ objectAtIndex:section] intValue])
        {
        	return 20;
        }
	}
	
    return 0;
    
}


- (UIView *)tableView:(UITableView *)tableView viewForHeaderInSection:(NSInteger)section 
{    
    BOOL mNeedExtraWeekTitle = FALSE;
    
    if(section == 0)//in normal cases  - this should be true. but arrays are messed up using sections.. or im messed up.. umad?
    {
    
    }
    else
    {
		if([[headerWeekDaysArray_ objectAtIndex:section-1] intValue] != [[headerWeekDaysArray_ objectAtIndex:section] intValue])
        {
        	mNeedExtraWeekTitle = TRUE;
        }
    }
    

    
    // Create label with section title
    UILabel *label = [[[UILabel alloc] init] autorelease];
    
    if(mNeedExtraWeekTitle == FALSE)
    {
    	label.frame = CGRectMake(20, -5, 300, 30);
    }
    else
    {
    	label.frame = CGRectMake(20, 15, 300, 30);
    }
    
    label.backgroundColor = [UIColor clearColor];
    
    label.textColor = [UIColor blackColor];

    label.shadowColor = [UIColor whiteColor];

    label.shadowOffset = CGSizeMake(0.0, 1.0);


    [label setFont:[UIFont boldSystemFontOfSize:16.0]];


    
    label.text = [headerTitleArray_ objectAtIndex:section];

    // Create header view and add label as a subview
    UIView *view = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 20)];
    
    [view autorelease];
    
    
    if(mNeedExtraWeekTitle == TRUE)
    {
    	UILabel *shadowedText = [[UILabel alloc] initWithFrame:CGRectMake(20, -3, 281, 20)];
        
        NSDateFormatter *mDateToIntParser = [[NSDateFormatter alloc] init];
        
        [mDateToIntParser setDateFormat:@"dMyyyy"];
        
        NSDateFormatter *mWf = [[NSDateFormatter alloc] init];

        [mWf setDateFormat:@"w"];
        
        
        if([[mDateToIntParser stringFromDate:[headerWeekDaysDateArray_ objectAtIndex:section]] intValue] 
        	< [[mDateToIntParser stringFromDate:[NSDate date]] intValue] 
            && [[mWf stringFromDate:[headerWeekDaysDateArray_ objectAtIndex:section]] intValue] 
        	< [[mWf stringFromDate:[NSDate date]] intValue])
        {
            [shadowedText setText:@"---------- Pagājušajā nedēļā ----------"];
        }
        else if([[mDateToIntParser stringFromDate:[headerWeekDaysDateArray_ objectAtIndex:section]] intValue] 
        	> [[mDateToIntParser stringFromDate:[NSDate date]] intValue]
            && [[mWf stringFromDate:[headerWeekDaysDateArray_ objectAtIndex:section]] intValue] 
        	> [[mWf stringFromDate:[NSDate date]] intValue])
        {
        	[shadowedText setText:@"----------- Nākošajā nedēļā -----------"];
        }
        else
        {
        	[shadowedText setText:@"--------------- Šonedēļ ---------------"];
        }
                
        [shadowedText setBackgroundColor:[UIColor clearColor]];
        
        [shadowedText setTextAlignment:UITextAlignmentCenter];
        


        [shadowedText setTextColor:[UIColor colorWithRed:0.298 green:0.337 blue:0.424 alpha:1]];

        [shadowedText setShadowColor: [UIColor whiteColor]];

        [shadowedText setShadowOffset: CGSizeMake(0.0, 1.0)];
        
        shadowedText.font = [UIFont boldSystemFontOfSize:15];
        
    
     
        [view addSubview:shadowedText];
    
        [shadowedText release];
        
        [mDateToIntParser release];
    }
    
    
    [view addSubview:label];



    return view;
}



- (void)didReceiveMemoryWarning 
{
    [super didReceiveMemoryWarning];
	
}

- (void)viewDidUnload 
{

}


- (void)dealloc 
{
    [super dealloc];

	[headerWeekDaysDateArray_ release];
    
    [headerWeekDaysArray_ release];
}


- (void)launchParser
{
	[headerWeekDaysDateArray_ removeAllObjects];
    
    [headerWeekDaysArray_ removeAllObjects];
    
	[weekdayNameArray_ removeAllObjects];
	
    [dayArray_ removeAllObjects];
	
    [timeArray_ removeAllObjects];
	
    [headerTitleArray_ removeAllObjects];

    [headerTitleArray_ addObject:@""];
   	
    [headerWeekDaysDateArray_ addObject:@""];
    
    [headerWeekDaysArray_ addObject:@""];


    sectionCount = 0;
    
        
    NSURL *mURL = [NSURL URLWithString:@"http://www.ocventspils.lv/sadala.php?id=39&row_id=90"];
    
    NSError *error;
    
    NSString *pageSource = [NSString stringWithContentsOfURL:mURL encoding:NSUTF8StringEncoding error:&error];
                                        
    int beginningChar = 0;
    
    int endChar = 0;
    
    BOOL startSearchingForEndTag = FALSE;
    
	for (int i = 0; i<[pageSource length]-20; i++)
    {
    	if([pageSource characterAtIndex:i] == '"')
        {
        	if([pageSource characterAtIndex:i+1] == 't')
            {
            	if([pageSource characterAtIndex:i+2] == 'e')
                {
                    if([pageSource characterAtIndex:i+3] == 'k')
                    {
                        if([pageSource characterAtIndex:i+4] == 's')
                        {
                            if([pageSource characterAtIndex:i+5] == 't')
                            {
                                if([pageSource characterAtIndex:i+6] == 's')
                                {
                                    if([pageSource characterAtIndex:i+7] == '"')
                                    {
                                        beginningChar = i+9;
                                        
                                        startSearchingForEndTag = TRUE;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
        
        if(startSearchingForEndTag == TRUE)
        {
        	if([pageSource characterAtIndex:i] == '/')
        	{
                if([pageSource characterAtIndex:i+1] == 'd')
                {
                    if([pageSource characterAtIndex:i+2] == 'i')
                    {
                        if([pageSource characterAtIndex:i+3] == 'v')
                        {
                        	endChar = i-2;
                            break;
                        }
                    }
                }
            }
        }
    }
    
    NSString *textString = [pageSource substringToIndex:endChar];
    
    textString = [textString substringFromIndex:beginningChar];
    
   
	//NSLog(@"%@", pageSource);
    
    
    //NSLog(@"\n\n%@", textString);
    
    
    
	NSMutableArray *countloc=[[NSMutableArray alloc]init];
	int temp=0;
	int len=[textString length];
	for(int i =0;i<[textString length];i++)
	{
			NSRange range=[textString rangeOfString:@"Pirmdien" options:0 range:NSMakeRange(temp,len-1)];
			if(range.location<[textString length])
			[countloc addObject:[NSString stringWithFormat:@"%d",range.location]];
			temp=range.location+1;
			len=[textString length]-range.location;
			i=temp;

	}
    temp=0;
    len=[textString length];
    for(int i =0;i<[textString length];i++)
	{
			NSRange range=[textString rangeOfString:@"Otrdien" options:0 range:NSMakeRange(temp,len-1)];
			if(range.location<[textString length])
			[countloc addObject:[NSString stringWithFormat:@"%d",range.location]];
			temp=range.location+1;
			len=[textString length]-range.location;
			i=temp;
	}
    temp=0;
    len=[textString length];
    for(int i =0;i<[textString length];i++)
	{
			NSRange range=[textString rangeOfString:@"Tre&scaron;dien" options:0 range:NSMakeRange(temp,len-1)];
			if(range.location<[textString length])
			[countloc addObject:[NSString stringWithFormat:@"%d",range.location]];
			temp=range.location+1;
			len=[textString length]-range.location;
			i=temp;
	}
    temp=0;
    len=[textString length];
    for(int i =0;i<[textString length];i++)
	{
			NSRange range=[textString rangeOfString:@"Ceturtdien" options:0 range:NSMakeRange(temp,len-1)];
			if(range.location<[textString length])
			[countloc addObject:[NSString stringWithFormat:@"%d",range.location]];
			temp=range.location+1;
			len=[textString length]-range.location;
			i=temp;
	}
    temp=0;
    len=[textString length];
    for(int i =0;i<[textString length];i++)
	{
			NSRange range=[textString rangeOfString:@"Piektdien" options:0 range:NSMakeRange(temp,len-1)];
			if(range.location<[textString length])
			[countloc addObject:[NSString stringWithFormat:@"%d",range.location]];
			temp=range.location+1;
			len=[textString length]-range.location;
			i=temp;
	}
    temp=0;
    len=[textString length];
    for(int i =0;i<[textString length];i++)
	{
			NSRange range=[textString rangeOfString:@"Sestdien" options:0 range:NSMakeRange(temp,len-1)];
			if(range.location<[textString length])
			[countloc addObject:[NSString stringWithFormat:@"%d",range.location]];
			temp=range.location+1;
			len=[textString length]-range.location;
			i=temp;
	}
    temp=0;
    len=[textString length];
    for(int i =0;i<[textString length];i++)
	{
			NSRange range=[textString rangeOfString:@"Svētdien" options:0 range:NSMakeRange(temp,len-1)];
			if(range.location<[textString length])
			[countloc addObject:[NSString stringWithFormat:@"%d",range.location]];
			temp=range.location+1;
			len=[textString length]-range.location;
			i=temp;
	}
    temp=0;
    len=[textString length];
    for(int i =0;i<[textString length];i++)
	{
			NSRange range=[textString rangeOfString:@"Publiskajā" options:0 range:NSMakeRange(temp,len-1)];
			if(range.location<[textString length])
			[countloc addObject:[NSString stringWithFormat:@"%d",range.location]];
			temp=range.location+1;
			len=[textString length]-range.location;
			i=temp;
	}
    
    NSSortDescriptor * sortDescriptor = [[[NSSortDescriptor alloc] initWithKey:nil ascending:YES] autorelease];
    
    NSArray *sortDescriptors = [NSArray arrayWithObject:sortDescriptor];
    
    NSArray *sortedArray;
    
    sortedArray = [countloc sortedArrayUsingDescriptors:sortDescriptors];
    
    [countloc setArray:sortedArray];
    
    NSLog(@"\n\n %@", countloc);
    
    
    NSMutableArray * resultStringArray = [[NSMutableArray alloc] init];
    
    for(int i = 0; i<[countloc count]-1; i++)
    {
    	
        
    	NSString * tmp1 = [textString substringToIndex:[[countloc objectAtIndex:i+1] intValue]];
        
        
    	NSString * tmp2 = [tmp1 substringFromIndex:[[countloc objectAtIndex:i] intValue]];
        
        [resultStringArray addObject:tmp2];
        
        NSArray *myWords = [tmp2 componentsSeparatedByCharactersInSet:
        	[NSCharacterSet characterSetWithCharactersInString:@" ."]];
        
        
        if([[tmp2 substringToIndex:2] isEqualToString:@"Pi"])
        {
        	if([tmp2 characterAtIndex:2] == 'e')
            {
            	[weekdayNameArray_ addObject:@"Piektdien"];
            }
            else
            {
            	[weekdayNameArray_ addObject:@"Pirmdien"];
            }
        }
        if([[tmp2 substringToIndex:2] isEqualToString:@"Ot"])
        {
        	[weekdayNameArray_ addObject:@"Otrdien"];
        }
        if([[tmp2 substringToIndex:2] isEqualToString:@"Tr"])
        {
        	[weekdayNameArray_ addObject:@"Trešdien"];
        }
        if([[tmp2 substringToIndex:2] isEqualToString:@"Ce"])
        {
        	[weekdayNameArray_ addObject:@"Ceturdien"];
        }
        if([[tmp2 substringToIndex:2] isEqualToString:@"Se"])
        {
        	[weekdayNameArray_ addObject:@"Sestdien"];
        }
        if([[tmp2 substringToIndex:2] isEqualToString:@"Sv"])
        {
        	[weekdayNameArray_ addObject:@"Svētdien"];
        }
    	
        NSString *stringWithoutSpaces = [tmp2 stringByReplacingOccurrencesOfString:@" " withString:@""];
        
        BOOL addANewSection = FALSE;
        
        NSLog(@"\n\n %@", tmp2);
        
        int charLenght = 0;
        
        for (int j = 0; j < [stringWithoutSpaces length]; j++)
        {
        	if(([stringWithoutSpaces characterAtIndex:j]) == '-' || ([stringWithoutSpaces characterAtIndex:j] == '&'))
            {
                if([stringWithoutSpaces characterAtIndex:j] == '&')
                {
                	charLenght = 7;
                }
                
                if([stringWithoutSpaces characterAtIndex:j] == '-')
                {
                	charLenght = 1;
                }
            
				if(j > 6 && ([stringWithoutSpaces characterAtIndex:j+charLenght] == '0' ||
                			 [stringWithoutSpaces characterAtIndex:j+charLenght] == '1' ||
                			 [stringWithoutSpaces characterAtIndex:j+charLenght] == '2' ||
                			 [stringWithoutSpaces characterAtIndex:j+charLenght] == '3' ||
                			 [stringWithoutSpaces characterAtIndex:j+charLenght] == '4' ||
                			 [stringWithoutSpaces characterAtIndex:j+charLenght] == '5' ||
                			 [stringWithoutSpaces characterAtIndex:j+charLenght] == '6' ||
                			 [stringWithoutSpaces characterAtIndex:j+charLenght] == '7' ||
                			 [stringWithoutSpaces characterAtIndex:j+charLenght] == '8' ||
                			 [stringWithoutSpaces characterAtIndex:j+charLenght] == '9'))
                {
                    if([stringWithoutSpaces characterAtIndex:j+5+charLenght] != '(')
                    {
                        if(addANewSection == FALSE)
                        {
                            addANewSection = TRUE;
                            
                            sectionCount++;
                            
                            [timeArray_ addObject:[NSString stringWithFormat:@"00%i",sectionCount,[weekdayNameArray_ lastObject]]];
                            
                            NSDateFormatter * mDf = [[NSDateFormatter alloc] init];
                            
                            NSDateFormatter * mDf2 = [[NSDateFormatter alloc] init];
                            
                            NSDateFormatter *mWf = [[NSDateFormatter alloc] init];
                            
                            [mWf setDateFormat:@"w"];

                            [mDf setDateFormat:@"d"];
                            
                            [mDf2 setDateFormat:@"M"];
                            
                            NSDate *mDate = [NSDate date];
                            
                            int todaysDay = [[mDf stringFromDate:[NSDate date]] intValue];
                            
                            mDate  = [mDate dateByAddingTimeInterval:60*60*24];
                            
                            int tomorrowDay = [[mDf stringFromDate:mDate] intValue];
                            
                            mDate  = [mDate dateByAddingTimeInterval:-60*60*24*2];
                            
                            int previousDay = [[mDf stringFromDate:mDate] intValue];
                            
                            NSString * extraWord = @"";
                            
                            if([[myWords objectAtIndex:1] intValue] == tomorrowDay)
                            {
                                extraWord = @"Rīt - ";
                            }
                            else if([[myWords objectAtIndex:1] intValue] == todaysDay)
                            {
                                extraWord = @"Šodien - ";
                            }
                            else if([[myWords objectAtIndex:1] intValue] == previousDay)
                            {
                                extraWord = @"Vakar - ";
                            }
                            
                            
                            //uzzinam attiecīgo nsdate no datuma
                            mDate = [NSDate date];
                            
                            mDate  = [mDate dateByAddingTimeInterval:-15*60*60*24];
                            
                            while([[myWords objectAtIndex:1] intValue] != [[mDf stringFromDate:mDate] intValue])
                            {
                                mDate  = [mDate dateByAddingTimeInterval:60*60*24];
                            }
                            
                         	
                            int todaysMonth = [[mDf2 stringFromDate:mDate] intValue]-1;
                            
                            
                            
                            NSCalendar* cal = [NSCalendar currentCalendar];
                            
                            NSDateComponents* comp = [cal components:NSWeekdayCalendarUnit fromDate:mDate];
                            
                            [headerWeekDaysDateArray_ addObject:mDate];
                            
                            if([comp weekday] == 1)
                            {
                            	mDate  = [mDate dateByAddingTimeInterval:-2*60*60*24];
                            }
                            
                            [headerWeekDaysArray_ addObject:[mWf stringFromDate:mDate]];
                            
                            
                            
                            
                            
                            
                            [headerTitleArray_ addObject:[NSString stringWithFormat:@"%@%@ %@. %@",extraWord,[weekdayNameArray_ lastObject], [myWords objectAtIndex:1], [monthArray_ objectAtIndex:todaysMonth]]];
                            
                            [mDf release];
                            
                            [mDf2 release];
                            
                            [mWf release];
                        }
                        
                        NSString *startTimeString = [stringWithoutSpaces substringToIndex:j];
                        
                        startTimeString = [startTimeString substringFromIndex:j-5];
                        
                        NSString *endTimeString = [stringWithoutSpaces substringToIndex:j+5+charLenght];
                        
                        endTimeString = [endTimeString substringFromIndex:j+charLenght];
                        
                
                        
                        [timeArray_ addObject:[NSString stringWithFormat:@"No %@ līdz %@",startTimeString, endTimeString]];
                    }
                }            
            }

        }
        
    }
    
    //NSLog(@"headerWeekDaysDateArray_ %@", headerWeekDaysDateArray_);
 
	//NSLog(@"headerWeekDaysArray_ %@", headerWeekDaysArray_);
    
    //NSLog(@"timeArray_ %@", timeArray_);
    
    //NSLog(@"weekdayNameArray_ %@", weekdayNameArray_);
    
//dayArray_
//monthArray_
    for(int i = 0; i<[resultStringArray count]; i++)
    {
		NSArray *myWords = [[resultStringArray objectAtIndex:i] componentsSeparatedByCharactersInSet:
            [NSCharacterSet characterSetWithCharactersInString:@" ."]];
		
        [dayArray_ addObject:[myWords objectAtIndex:1]];
        


		//NSLog(@"\nmyWords %@", myWords); 
    }
    
    //NSLog(@"dayArray_ %@", dayArray_);
    
    [tableView_ reloadData];
}
@end
